- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_desc.h File Reference

`#include <axutil_param_container.h>`
`#include <axutil_hash.h>`
`#include <axis2_description.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_desc | axis2_desc_t
## Functions
AXIS2_EXTERN axis2_desc_t * | axis2_desc_create (const axutil_env_t *env)
AXIS2_EXTERN void | axis2_desc_free (axis2_desc_t *desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_desc_add_param (axis2_desc_t *desc, const axutil_env_t *env, axutil_param_t *param)
AXIS2_EXTERN axutil_param_t * | axis2_desc_get_param (const axis2_desc_t *desc, const axutil_env_t *env, const axis2_char_t *param_name)
AXIS2_EXTERN axutil_array_list_t * | axis2_desc_get_all_params (const axis2_desc_t *desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_desc_is_param_locked (const axis2_desc_t *desc, const axutil_env_t *env, const axis2_char_t *param_name)
AXIS2_EXTERN axis2_status_t | axis2_desc_add_child (const axis2_desc_t *desc, const axutil_env_t *env, const axis2_char_t *key, const struct axis2_msg *child)
AXIS2_EXTERN axutil_hash_t * | axis2_desc_get_all_children (const axis2_desc_t *desc, const axutil_env_t *env)
AXIS2_EXTERN void * | axis2_desc_get_child (const axis2_desc_t *desc, const axutil_env_t *env, const axis2_char_t *key)
AXIS2_EXTERN axis2_status_t | axis2_desc_remove_child (const axis2_desc_t *desc, const axutil_env_t *env, const axis2_char_t *key)
AXIS2_EXTERN axis2_status_t | axis2_desc_set_parent (axis2_desc_t *desc, const axutil_env_t *env, axis2_desc_t *parent)
AXIS2_EXTERN axis2_desc_t * | axis2_desc_get_parent (const axis2_desc_t *desc, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_desc_set_policy_include (axis2_desc_t *desc, const axutil_env_t *env, struct axis2_policy_include *policy_include)
AXIS2_EXTERN struct axis2_policy_include * | axis2_desc_get_policy_include (axis2_desc_t *desc, const axutil_env_t *env)

## Detailed Description